import { TdDialogProps } from './type';
import './style';
export * from './type';
export declare type DialogProps = TdDialogProps;
export declare const Dialog: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("..").IconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    getConfirmBtn(options: import("./actions").MixinsConfirmBtn): any;
    getCancelBtn(options: import("./actions").MixinsCancelBtn): any;
    getButtonByProps(button: string | import("..").TdButtonProps, defaultButton: import("..").TdButtonProps, className?: import("../common").ClassName): JSX.Element;
    confirmBtnAction(e: MouseEvent): void;
    cancelBtnAction(e: MouseEvent): void;
    getDefaultConfirmBtnProps(options: import("./actions").MixinsConfirmBtn): import("..").TdButtonProps;
    getDefaultCancelBtnProps(options: import("./actions").MixinsCancelBtn): import("..").TdButtonProps;
} & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").DialogConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, {
    uid: number;
    scrollWidth: number;
    disX: number;
    disY: number;
    windowInnerWidth: number;
    windowInnerHeight: number;
    dialogW: number;
    dialogH: number;
    dLeft: number;
    dTop: number;
}, {
    storeUid(flag: boolean): void;
    addKeyboardEvent(status: boolean): void;
    keyboardEvent(e: KeyboardEvent): void;
    keyboardEnterEvent(e: KeyboardEvent): void;
    overlayAction(e: MouseEvent): void;
    closeBtnAction(e: MouseEvent): void;
    cancelBtnAction(e: MouseEvent): void;
    confirmBtnAction(e: MouseEvent): void;
    afterEnter(): void;
    afterLeave(): void;
    emitCloseEvent(context: import("./type").DialogCloseContext): void;
    hasEventOn(name: string): boolean;
    getIcon(): any;
    mousedownHandler(targetEvent: MouseEvent): void;
    mouseMoverHandler(documentEvent: MouseEvent): void;
    mouseUpHandler(): void;
    initDragEvent(status: boolean): void;
    resizeAdjustPosition(): void;
    renderDialog(): JSX.Element;
}, {
    isModal: boolean;
    isModeLess: boolean;
    isNormal: boolean;
    maskClass: import("../common").ClassName;
    dialogClass: import("../common").ClassName;
    positionClass: import("../common").ClassName;
    wrapClass: import("../common").ClassName;
    positionStyle: import("../common").Styles;
    dialogStyle: import("../common").Styles;
}, {
    attach: import("../common").AttachNode;
    body: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cancelBtn: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdButtonProps;
    closeBtn: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    closeOnEscKeydown: any;
    closeOnOverlayClick: any;
    confirmBtn: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdButtonProps;
    confirmOnEnter: boolean;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnClose: boolean;
    draggable: boolean;
    footer: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    mode: "normal" | "modal" | "modeless";
    placement: "center" | "top";
    preventScrollThrough: boolean;
    showInAttachedElement: boolean;
    showOverlay: boolean;
    theme: "default" | "success" | "warning" | "danger" | "info";
    top: string | number;
    visible: boolean;
    width: string | number;
    zIndex: number;
    onCancel: (context: {
        e: MouseEvent;
    }) => void;
    onClose: (context: import("./type").DialogCloseContext) => void;
    onCloseBtnClick: (context: {
        e: MouseEvent;
    }) => void;
    onClosed: () => void;
    onConfirm: (context: {
        e: MouseEvent | KeyboardEvent;
    }) => void;
    onEscKeydown: (context: {
        e: KeyboardEvent;
    }) => void;
    onOpened: () => void;
    onOverlayClick: (context: {
        e: MouseEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("..").IconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    getConfirmBtn(options: import("./actions").MixinsConfirmBtn): any;
    getCancelBtn(options: import("./actions").MixinsCancelBtn): any;
    getButtonByProps(button: string | import("..").TdButtonProps, defaultButton: import("..").TdButtonProps, className?: import("../common").ClassName): JSX.Element;
    confirmBtnAction(e: MouseEvent): void;
    cancelBtnAction(e: MouseEvent): void;
    getDefaultConfirmBtnProps(options: import("./actions").MixinsConfirmBtn): import("..").TdButtonProps;
    getDefaultCancelBtnProps(options: import("./actions").MixinsCancelBtn): import("..").TdButtonProps;
} & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").DialogConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, {
    uid: number;
    scrollWidth: number;
    disX: number;
    disY: number;
    windowInnerWidth: number;
    windowInnerHeight: number;
    dialogW: number;
    dialogH: number;
    dLeft: number;
    dTop: number;
}, {
    storeUid(flag: boolean): void;
    addKeyboardEvent(status: boolean): void;
    keyboardEvent(e: KeyboardEvent): void;
    keyboardEnterEvent(e: KeyboardEvent): void;
    overlayAction(e: MouseEvent): void;
    closeBtnAction(e: MouseEvent): void;
    cancelBtnAction(e: MouseEvent): void;
    confirmBtnAction(e: MouseEvent): void;
    afterEnter(): void;
    afterLeave(): void;
    emitCloseEvent(context: import("./type").DialogCloseContext): void;
    hasEventOn(name: string): boolean;
    getIcon(): any;
    mousedownHandler(targetEvent: MouseEvent): void;
    mouseMoverHandler(documentEvent: MouseEvent): void;
    mouseUpHandler(): void;
    initDragEvent(status: boolean): void;
    resizeAdjustPosition(): void;
    renderDialog(): JSX.Element;
}, {
    isModal: boolean;
    isModeLess: boolean;
    isNormal: boolean;
    maskClass: import("../common").ClassName;
    dialogClass: import("../common").ClassName;
    positionClass: import("../common").ClassName;
    wrapClass: import("../common").ClassName;
    positionStyle: import("../common").Styles;
    dialogStyle: import("../common").Styles;
}, {
    attach: import("../common").AttachNode;
    body: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cancelBtn: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdButtonProps;
    closeBtn: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    closeOnEscKeydown: any;
    closeOnOverlayClick: any;
    confirmBtn: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdButtonProps;
    confirmOnEnter: boolean;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnClose: boolean;
    draggable: boolean;
    footer: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    mode: "normal" | "modal" | "modeless";
    placement: "center" | "top";
    preventScrollThrough: boolean;
    showInAttachedElement: boolean;
    showOverlay: boolean;
    theme: "default" | "success" | "warning" | "danger" | "info";
    top: string | number;
    visible: boolean;
    width: string | number;
    zIndex: number;
    onCancel: (context: {
        e: MouseEvent;
    }) => void;
    onClose: (context: import("./type").DialogCloseContext) => void;
    onCloseBtnClick: (context: {
        e: MouseEvent;
    }) => void;
    onClosed: () => void;
    onConfirm: (context: {
        e: MouseEvent | KeyboardEvent;
    }) => void;
    onEscKeydown: (context: {
        e: KeyboardEvent;
    }) => void;
    onOpened: () => void;
    onOverlayClick: (context: {
        e: MouseEvent;
    }) => void;
}>>;
export { default as DialogPlugin } from './plugin';
export default Dialog;
